Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Column

    java.lang.Object
      |
      +--org.hsqldb.Column

class Column
extends Object

Field Summary
`(package private) final static int` | `BIGINT`
`(package private) final static int` | `BINARY`
`(package private) final static int` | `BIT`
`(package private) final static int` | `CHAR`
`(package private) final static int` | `DATE`
`(package private) final static int` | `DECIMAL`
`(package private) final static int` | `DOUBLE`
`(package private) final static int` | `FLOAT`
`(package private) final static int` | `INTEGER`
`(package private) int` | `iType`
`(package private) final static int` | `LONGVARBINARY`
`(package private) final static int` | `LONGVARCHAR`
`(package private) final static int` | `NULL`
`(package private) final static int` | `NUMERIC`
`(package private) final static int` | `OTHER`
`(package private) final static int` | `REAL`
`(package private) final static int` | `SMALLINT`
`(package private) java.lang.String` | `sName`
`(package private) final static int` | `TIME`
`(package private) final static int` | `TIMESTAMP`
`(package private) final static int` | `TINYINT`
`(package private) final static int[]` | `TYPES`
`(package private) final static int` | `VARBINARY`
`(package private) final static int` | `VARCHAR`
`(package private) final static int` | `VARCHAR_IGNORECASE`

Constructor Summary
`(package private)` | `Column(java.lang.String , boolean , int , boolean )`

Method Summary
`(package private) static java.lang.Object` | `add(java.lang.Object , java.lang.Object , int )`
`(package private) static java.lang.Object` | `avg(java.lang.Object , int , int )`
`(package private) static int` | `compare(java.lang.Object , java.lang.Object , int )`
`(package private) static java.lang.Object` | `concat(java.lang.Object , java.lang.Object )`
`(package private) static java.lang.String` | `convertObject(java.lang.Object )`
`(package private) static java.lang.Object` | `convertObject(java.lang.Object , int )`
`(package private) static java.lang.Object` | `convertString(java.lang.String , int )`
`(package private) static java.lang.String` | `createString(java.lang.Object , int )`
`(package private) static java.lang.String` | `createString(java.lang.String )`
`(package private) static java.lang.Object` | `divide(java.lang.Object , java.lang.Object , int )`
`(package private) static int` | `getSize(java.lang.Object[] , org.hsqldb.Table )`
`(package private) static java.lang.String` | `getType(int )`
`(package private) static int` | `getTypeNr(java.lang.String )`
`(package private) boolean` | `isIdentity()`
`(package private) boolean` | `isNullable()`
`(package private) static java.lang.Object` | `max(java.lang.Object , java.lang.Object , int )`
`(package private) static java.lang.Object` | `min(java.lang.Object , java.lang.Object , int )`
`(package private) static java.lang.Object` | `multiply(java.lang.Object , java.lang.Object , int )`
`(package private) static java.lang.Object` | `negate(java.lang.Object , int )`
`(package private) static java.lang.Object[]` | `readData(java.io.DataInput , int )`
`(package private) static java.lang.Object` | `subtract(java.lang.Object , java.lang.Object , int )`
`(package private) static java.lang.Object` | `sum(java.lang.Object , java.lang.Object , int )`
`(package private) static void` | `writeData(java.io.DataOutput , java.lang.Object[] , org.hsqldb.Table )`
`(package private) static void` | `writeData(java.io.DataOutput , int , int[] , java.lang.Object[] )`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### BIGINT

    final static int BIGINT

### BINARY

    final static int BINARY

### BIT

    final static int BIT

### CHAR

    final static int CHAR

### DATE

    final static int DATE

### DECIMAL

    final static int DECIMAL

### DOUBLE

    final static int DOUBLE

### FLOAT

    final static int FLOAT

### INTEGER

    final static int INTEGER

### iType

    int iType

### LONGVARBINARY

    final static int LONGVARBINARY

### LONGVARCHAR

    final static int LONGVARCHAR

### NULL

    final static int NULL

### NUMERIC

    final static int NUMERIC

### OTHER

    final static int OTHER

### REAL

    final static int REAL

### SMALLINT

    final static int SMALLINT

### sName

    java.lang.String sName

### TIME

    final static int TIME

### TIMESTAMP

    final static int TIMESTAMP

### TINYINT

    final static int TINYINT

### TYPES

    final static int[] TYPES

### VARBINARY

    final static int VARBINARY

### VARCHAR

    final static int VARCHAR

### VARCHAR_IGNORECASE

    final static int VARCHAR_IGNORECASE

Constructor Detail

### Column

    Column(java.lang.String , boolean , int , boolean )

Method Detail

### add

    static java.lang.Object add(java.lang.Object , java.lang.Object , int )

### avg

    static java.lang.Object avg(java.lang.Object , int , int )

### compare

    static int compare(java.lang.Object , java.lang.Object , int )

### concat

    static java.lang.Object concat(java.lang.Object , java.lang.Object )

### convertObject

    static java.lang.String convertObject(java.lang.Object )

### convertObject

    static java.lang.Object convertObject(java.lang.Object , int )

### convertString

    static java.lang.Object convertString(java.lang.String , int )

### createString

    static java.lang.String createString(java.lang.Object , int )

### createString

    static java.lang.String createString(java.lang.String )

### divide

    static java.lang.Object divide(java.lang.Object , java.lang.Object , int )

### getSize

    static int getSize(java.lang.Object[] , org.hsqldb.Table )

### getType

    static java.lang.String getType(int )

### getTypeNr

    static int getTypeNr(java.lang.String )

### isIdentity

    boolean isIdentity()

### isNullable

    boolean isNullable()

### max

    static java.lang.Object max(java.lang.Object , java.lang.Object , int )

### min

    static java.lang.Object min(java.lang.Object , java.lang.Object , int )

### multiply

    static java.lang.Object multiply(java.lang.Object , java.lang.Object , int )

### negate

    static java.lang.Object negate(java.lang.Object , int )

### readData

    static java.lang.Object[] readData(java.io.DataInput , int )

### subtract

    static java.lang.Object subtract(java.lang.Object , java.lang.Object , int )

### sum

    static java.lang.Object sum(java.lang.Object , java.lang.Object , int )

### writeData

    static void writeData(java.io.DataOutput , java.lang.Object[] , org.hsqldb.Table )

### writeData

    static void writeData(java.io.DataOutput , int , int[] , java.lang.Object[] )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD